## dms-shell-git-0.6.2.r181.gf96a2e2-1-x86 64.pkg

=== xdg/quickshell/dms/Makefile ===
# Root Makefile for DankMaterialShell (DMS)
# Orchestrates building, installation, and systemd management

# Build configuration
BINARY_NAME=dms
CORE_DIR=core
BUILD_DIR=$(CORE_DIR)/bin
PREFIX ?= /usr/local
INSTALL_DIR=$(PREFIX)/bin
DATA_DIR=$(PREFIX)/share
ICON_DIR=$(DATA_DIR)/icons/hicolor/scalable/apps

USER_HOME := $(if $(SUDO_USER),$(shell getent passwd $(SUDO_USER) | cut -d: -f6),$(HOME))
SYSTEMD_USER_DIR=$(USER_HOME)/.config/systemd/user

SHELL_DIR=quickshell
SHELL_INSTALL_DIR=$(DATA_DIR)/quickshell/dms
ASSETS_DIR=assets
APPLICATIONS_DIR=$(DATA_DIR)/applications

.PHONY: all build clean install install-bin install-shell install-completions install-systemd install-icon install-desktop uninstall uninstall-bin uninstall-shell uninstall-completions uninstall-systemd uninstall-icon uninstall-desktop help

all: build

build:
	@echo "Building $(BINARY_NAME)..."
	@$(MAKE) -C $(CORE_DIR) build
	@echo "Build complete"

clean:
	@echo "Cleaning build artifacts..."
	@$(MAKE) -C $(CORE_DIR) clean
	@echo "Clean complete"

# Installation targets
install-bin:
	@echo "Installing $(BINARY_NAME) to $(INSTALL_DIR)..."
	@install -D -m 755 $(BUILD_DIR)/$(BINARY_NAME) $(INSTALL_DIR)/$(BINARY_NAME)
	@echo "Binary installed"

install-shell:
	@echo "Installing shell files to $(SHELL_INSTALL_DIR)..."
	@mkdir -p $(SHELL_INSTALL_DIR)
	@cp -r $(SHELL_DIR)/* $(SHELL_INSTALL_DIR)/
	@rm -rf $(SHELL_INSTALL_DIR)/.git* $(SHELL_INSTALL_DIR)/.github
	@echo "Shell files installed"

install-completions:
	@echo "Installing shell completions..."
	@mkdir -p $(DATA_DIR)/bash-completion/completions
	@mkdir -p $(DATA_DIR)/zsh/site-functions
	@mkdir -p $(DATA_DIR)/fish/vendor_completions.d
	@$(BUILD_DIR)/$(BINARY_NAME) completion bash > $(DATA_DIR)/bash-completion/completions/dms 2>/dev/null || true
	@$(BUILD_DIR)/$(BINARY_NAME) completion zsh > $(DATA_DIR)/zsh/site-functions/_dms 2>/dev/null || true
	@$(BUILD_DIR)/$(BINARY_NAME) completion fish > $(DATA_DIR)/fish/vendor_completions.d/dms.fish 2>/dev/null || true
	@echo "Shell completions installed"

install-systemd:
	@echo "Installing systemd user service..."
	@mkdir -p $(SYSTEMD_USER_DIR)
	@if [ -n "$(SUDO_USER)" ]; then chown -R $(SUDO_USER):$(SUDO_USER) $(SYSTEMD_USER_DIR); fi
	@sed 's|/usr/bin/dms|$(INSTALL_DIR)/dms|g' $(ASSETS_DIR)/systemd/dms.service > $(SYSTEMD_USER_DIR)/dms.service
	@chmod 644 $(SYSTEMD_USER_DIR)/dms.service
	@if [ -n "$(SUDO_USER)" ]; then chown $(SUDO_USER):$(SUDO_USER) $(SYSTEMD_USER_DIR)/dms.service; fi
	@echo "Systemd service installed to $(SYSTEMD_USER_DIR)/dms.service"

install-icon:
	@echo "Installing icon..."
	@install -D -m 644 $(ASSETS_DIR)/danklogo.svg $(ICON_DIR)/danklogo.svg
	@gtk-update-icon-cache -q $(DATA_DIR)/icons/hicolor 2>/dev/null || true
	@echo "Icon installed"

install-desktop:
	@echo "Installing desktop entry..."
	@install -D -m 644 $(ASSETS_DIR)/dms-open.desktop $(APPLICATIONS_DIR)/dms-open.desktop
	@update-desktop-database -q $(APPLICATIONS_DIR) 2>/dev/null || true
	@echo "Desktop entry installed"

install: build install-bin install-shell install-completions install-systemd install-icon install-desktop
	@echo ""
	@echo "Installation complete!"
	@echo ""
	@echo "To enable and start DMS:"
	@echo "  systemctl --user enable --now dms"

# Uninstallation targets
uninstall-bin:
	@echo "Removing $(BINARY_NAME) from $(INSTALL_DIR)..."
	@rm -f $(INSTALL_DIR)/$(BINARY_NAME)
	@echo "Binary removed"

uninstall-shell:
	@echo "Removing shell files from $(SHELL_INSTALL_DIR)..."
	@rm -rf $(SHELL_INSTALL_DIR)
	@echo "Shell files removed"

uninstall-completions:
	@echo "Removing shell completions..."
	@rm -f $(DATA_DIR)/bash-completion/completions/dms
	@rm -f $(DATA_DIR)/zsh/site-functions/_dms
	@rm -f $(DATA_DIR)/fish/vendor_completions.d/dms.fish
	@echo "Shell completions removed"

uninstall-systemd:
	@echo "Removing systemd user service..."
	@rm -f $(SYSTEMD_USER_DIR)/dms.service
	@echo "Systemd service removed"
	@echo "Note: Stop/disable service manually if running: systemctl --user stop dms"

uninstall-icon:
	@echo "Removing icon..."
	@rm -f $(ICON_DIR)/danklogo.svg
	@gtk-update-icon-cache -q $(DATA_DIR)/icons/hicolor 2>/dev/null || true
	@echo "Icon removed"

uninstall-desktop:
	@echo "Removing desktop entry..."
	@rm -f $(APPLICATIONS_DIR)/dms-open.desktop
	@update-desktop-database -q $(APPLICATIONS_DIR) 2>/dev/null || true
	@echo "Desktop entry removed"

uninstall: uninstall-systemd uninstall-desktop uninstall-icon uninstall-completions uninstall-shell uninstall-bin
	@echo ""
	@echo "Uninstallation complete!"

# Target assist
help:
	@echo "Available targets:"
	@echo ""
	@echo "Build:"
	@echo "  all (default)        - Build the DMS binary"
	@echo "  build                - Same as 'all'"
	@echo "  clean                - Clean build artifacts"
	@echo ""
	@echo "Install:"
	@echo "  install              - Build and install everything (requires sudo)"
	@echo "  install-bin          - Install only the binary"
	@echo "  install-shell        - Install only shell files"
	@echo "  install-completions  - Install only shell completions"
	@echo "  install-systemd      - Install only systemd service"
	@echo "  install-icon         - Install only icon"
	@echo "  install-desktop      - Install only desktop entry"
	@echo ""
	@echo "Uninstall:"
	@echo "  uninstall            - Remove everything (requires sudo)"
	@echo "  uninstall-bin        - Remove only the binary"
	@echo "  uninstall-shell      - Remove only shell files"
	@echo "  uninstall-completions - Remove only shell completions"
	@echo "  uninstall-systemd    - Remove only systemd service"
	@echo "  uninstall-icon       - Remove only icon"
	@echo "  uninstall-desktop    - Remove only desktop entry"
	@echo ""
	@echo "Usage:"
	@echo "  sudo make install              - Build and install DMS"
	@echo "  sudo make uninstall            - Remove DMS"
	@echo "  systemctl --user enable --now dms  - Enable and start service"

=== xdg/quickshell/dms/distro/debian/dms-git/debian/changelog ===
dms-git (0.6.2+git5) nightly; urgency=medium

  * Fix debian/rules to use source at root level (native format)
  * Remove incorrect dms-git-source subdirectory references
  * Fix Build-Depends parsing path issue in obs-upload.sh auto-increment
  * Fix Build-Depends parsing in obs-upload.sh for proper dependency extraction
  * Build dms binary from source for true git version strings
  * Match Fedora COPR git build behavior
  * Now shows proper git version (e.g., v0.6.2-11-g12e91534)
  * Add golang-go and make as build dependencies

 -- Avenge Media <AvengeMedia.US@gmail.com>  Wed, 27 Nov 2025 04:15:00 -0500

=== xdg/quickshell/dms/distro/ubuntu/dms-git/debian/changelog ===
dms-git (0.6.2+git2169.f7f1bbbdppa10) questing; urgency=medium

  * Git snapshot (commit 2169: f7f1bbbd)

 -- Avenge Media <AvengeMedia.US@gmail.com>  Wed, 26 Nov 2025 21:43:12 -0500

=== xdg/quickshell/dms/distro/ubuntu/dms-greeter/debian/changelog ===
dms-greeter (0.6.2ppa3) questing; urgency=medium

  * Rebuild for packaging fixes (ppa3)

 -- Avenge Media <AvengeMedia.US@gmail.com>  Thu, 27 Nov 2025 23:38:37 -0500

=== xdg/quickshell/dms/distro/ubuntu/dms-git/debian/control ===
Source: dms-git
Section: x11
Priority: optional
Maintainer: Avenge Media <AvengeMedia.US@gmail.com>
Build-Depends: debhelper-compat (= 13),
               golang-go (>= 2:1.22~)
Standards-Version: 4.6.2
Homepage: https://github.com/AvengeMedia/DankMaterialShell
Vcs-Browser: https://github.com/AvengeMedia/DankMaterialShell
Vcs-Git: https://github.com/AvengeMedia/DankMaterialShell.git

Package: dms-git
Architecture: amd64
Depends: ${misc:Depends},
         quickshell-git | quickshell,
         accountsservice,
         cava,
         cliphist,
         danksearch,
         dgop,
         matugen,
         qml6-module-qtcore,
         qml6-module-qtmultimedia,
         qml6-module-qtqml,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         qt6ct,
         wl-clipboard
Provides: dms
Conflicts: dms
Replaces: dms
Description: DankMaterialShell - Modern Wayland Desktop Shell (git nightly)
 DMS (DankMaterialShell) is a feature-rich desktop shell built on
 Quickshell, providing a modern and customizable user interface for
 Wayland compositors like niri, hyprland, and sway.
 .
 This is the nightly/git version built from the latest master branch.
 .
 Features include:
  - Material Design inspired UI
  - Customizable themes and appearance
  - Built-in application launcher
  - System tray and notifications
  - Network and Bluetooth management
  - Audio controls
  - Systemd integration

=== xdg/quickshell/dms/distro/ubuntu/dms-greeter/debian/control ===
Source: dms-greeter
Section: x11
Priority: optional
Maintainer: Avenge Media <AvengeMedia.US@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/AvengeMedia/DankMaterialShell
Vcs-Browser: https://github.com/AvengeMedia/DankMaterialShell
Vcs-Git: https://github.com/AvengeMedia/DankMaterialShell.git

Package: dms-greeter
Architecture: all
Depends: ${misc:Depends},
         greetd,
         quickshell-git | quickshell
Recommends: niri | hyprland | sway
Description: DankMaterialShell greeter for greetd
 DankMaterialShell greeter for greetd login manager. A modern, Material Design 3
 inspired greeter interface built with Quickshell for Wayland compositors.
 .
 Supports multiple compositors including Niri, Hyprland, and Sway with automatic
 compositor detection and configuration. Features session selection, user
 authentication, and dynamic theming.

=== xdg/quickshell/dms/distro/debian/dms-git/debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

# Version info from changelog
DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed 's/-[^-]*$$//')
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Go needs writable directories for cache
export HOME := $(CURDIR)/debian/tmp-home
export GOCACHE := $(CURDIR)/debian/tmp-home/go-cache
export GOMODCACHE := $(CURDIR)/debian/tmp-home/go-mod

export GOTOOLCHAIN := local

%:
	dh $@

override_dh_auto_build:
	# Create Go cache directories
	mkdir -p $(HOME) $(GOCACHE) $(GOMODCACHE)

	# Verify core directory exists (native package format has source at root)
	test -d core || (echo "ERROR: core directory not found!" && exit 1)

	# Patch go.mod to use Go 1.24 base version (Debian 13 has 1.23.x, may vary)
	sed -i 's/^go 1\.24\.[0-9]*/go 1.24/' core/go.mod

	# Extract version info for embedding
	VERSION="$(UPSTREAM_VERSION)"
	COMMIT=$$(echo "$(UPSTREAM_VERSION)" | grep -oP '(?<=git)[0-9]+\.[a-f0-9]+' | cut -d. -f2 | head -c8 || echo "unknown")

	# Build dms-cli from source using vendored dependencies
	# Architecture mapping: Debian amd64/arm64 -> Makefile amd64/arm64
	if [ "$(DEB_HOST_ARCH)" = "amd64" ]; then \
		MAKE_ARCH=amd64; \
		BINARY_NAME=dms-linux-amd64; \
	elif [ "$(DEB_HOST_ARCH)" = "arm64" ]; then \
		MAKE_ARCH=arm64; \
		BINARY_NAME=dms-linux-arm64; \
	else \
		echo "ERROR: Unsupported architecture: $(DEB_HOST_ARCH)" && exit 1; \
	fi; \
	echo "Building with VERSION=$$VERSION COMMIT=$$COMMIT ARCH=$$MAKE_ARCH"; \
	cd core && $(MAKE) GOFLAGS="-mod=vendor" dist ARCH=$$MAKE_ARCH VERSION="$$VERSION" COMMIT="$$COMMIT"

	# Copy binary to expected location
	if [ "$(DEB_HOST_ARCH)" = "amd64" ]; then \
		cp core/bin/dms-linux-amd64 dms; \
	elif [ "$(DEB_HOST_ARCH)" = "arm64" ]; then \
		cp core/bin/dms-linux-arm64 dms; \
	fi
	chmod +x dms

override_dh_auto_install:
	install -Dm755 dms debian/dms-git/usr/bin/dms

	mkdir -p debian/dms-git/usr/share/quickshell/dms debian/dms-git/usr/lib/systemd/user
	if [ -d quickshell ]; then \
		cp -r quickshell/* debian/dms-git/usr/share/quickshell/dms/; \
		install -Dm644 assets/systemd/dms.service debian/dms-git/usr/lib/systemd/user/dms.service; \
		install -Dm644 assets/dms-open.desktop debian/dms-git/usr/share/applications/dms-open.desktop; \
		install -Dm644 assets/danklogo.svg debian/dms-git/usr/share/icons/hicolor/scalable/apps/danklogo.svg; \
	else \
		echo "ERROR: quickshell directory not found!" && \
		echo "Contents of current directory:" && ls -la && \
		exit 1; \
	fi

	rm -rf debian/dms-git/usr/share/quickshell/dms/core \
		debian/dms-git/usr/share/quickshell/dms/distro

override_dh_auto_clean:
	# Clean up build artifacts
	rm -f dms
	rm -rf core/bin
	rm -rf debian/tmp-home
	dh_auto_clean

=== xdg/quickshell/dms/distro/debian/dms/debian/rules ===
#!/usr/bin/make -f

DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed 's/-[^-]*$$//')
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@

override_dh_auto_build:
	if [ "$(DEB_HOST_ARCH)" = "amd64" ]; then \
		if [ -f dms-distropkg-amd64.gz ]; then \
			gunzip -c dms-distropkg-amd64.gz > dms; \
		elif [ -f ../SOURCES/dms-distropkg-amd64.gz ]; then \
			gunzip -c ../SOURCES/dms-distropkg-amd64.gz > dms; \
		elif [ -f ../../SOURCES/dms-distropkg-amd64.gz ]; then \
			gunzip -c ../../SOURCES/dms-distropkg-amd64.gz > dms; \
		else \
			echo "ERROR: dms-distropkg-amd64.gz not found!" && exit 1; \
		fi \
	elif [ "$(DEB_HOST_ARCH)" = "arm64" ]; then \
		if [ -f dms-distropkg-arm64.gz ]; then \
			gunzip -c dms-distropkg-arm64.gz > dms; \
		elif [ -f ../SOURCES/dms-distropkg-arm64.gz ]; then \
			gunzip -c ../SOURCES/dms-distropkg-arm64.gz > dms; \
		elif [ -f ../../SOURCES/dms-distropkg-arm64.gz ]; then \
			gunzip -c ../../SOURCES/dms-distropkg-arm64.gz > dms; \
		else \
			echo "ERROR: dms-distropkg-arm64.gz not found!" && exit 1; \
		fi \
	else \
		echo "Unsupported architecture: $(DEB_HOST_ARCH)" && exit 1; \
	fi
	chmod +x dms

	if [ ! -d DankMaterialShell-$(UPSTREAM_VERSION) ]; then \
		if [ -f ../SOURCES/dms-source.tar.gz ]; then \
			tar -xzf ../SOURCES/dms-source.tar.gz; \
		elif [ -f dms-source.tar.gz ]; then \
			tar -xzf dms-source.tar.gz; \
		fi; \
		if [ ! -d DankMaterialShell-$(UPSTREAM_VERSION) ] && [ -d DankMaterialShell-0.6.2 ]; then \
			mv DankMaterialShell-0.6.2 DankMaterialShell-$(UPSTREAM_VERSION); \
		fi; \
	fi


override_dh_auto_install:
	install -Dm755 dms debian/dms/usr/bin/dms

	mkdir -p debian/dms/usr/share/quickshell/dms debian/dms/usr/lib/systemd/user
	# Handle directory name mismatch again for install step if needed
	if [ ! -d DankMaterialShell-$(UPSTREAM_VERSION) ] && [ -d DankMaterialShell-0.6.2 ]; then \
		mv DankMaterialShell-0.6.2 DankMaterialShell-$(UPSTREAM_VERSION); \
	fi
	if [ -d DankMaterialShell-$(UPSTREAM_VERSION) ]; then \
		cp -r DankMaterialShell-$(UPSTREAM_VERSION)/quickshell/* debian/dms/usr/share/quickshell/dms/; \
		install -Dm644 DankMaterialShell-$(UPSTREAM_VERSION)/assets/systemd/dms.service debian/dms/usr/lib/systemd/user/dms.service; \
		install -Dm644 DankMaterialShell-$(UPSTREAM_VERSION)/assets/dms-open.desktop debian/dms/usr/share/applications/dms-open.desktop; \
		install -Dm644 DankMaterialShell-$(UPSTREAM_VERSION)/assets/danklogo.svg debian/dms/usr/share/icons/hicolor/scalable/apps/danklogo.svg; \
	else \
		echo "ERROR: DankMaterialShell-$(UPSTREAM_VERSION) directory not found!" && \
		echo "Contents of current directory:" && ls -la && \
		exit 1; \
	fi

	rm -rf debian/dms/usr/share/quickshell/dms/core \
		debian/dms/usr/share/quickshell/dms/distro

override_dh_auto_clean:
	rm -f dms
	rm -rf DankMaterialShell-$(UPSTREAM_VERSION)
	dh_auto_clean

=== xdg/quickshell/dms/distro/ubuntu/dms-git/debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

# Get git commit date for version
GIT_DATE := $(shell date +%Y%m%d)
GIT_COMMIT := HEAD

# Go needs writable directories for its caches
export HOME := $(CURDIR)/debian/tmp-home
export GOCACHE := $(CURDIR)/debian/tmp-home/go-cache
export GOMODCACHE := $(CURDIR)/debian/tmp-home/go-mod

# Launchpad has no network access, so use local toolchain only
export GOTOOLCHAIN := local

%:
	dh $@

override_dh_auto_build:
	# Create Go cache directories (sbuild sets HOME to non-existent path)
	mkdir -p $(HOME) $(GOCACHE) $(GOMODCACHE)

	# Git source is already included in source package (cloned by ppa-build.sh)
	# Launchpad build environment has no internet access
	test -d dms-git-repo || (echo "ERROR: dms-git-repo directory not found!" && exit 1)

	# Patch go.mod to use Go 1.24 base version (Ubuntu has 1.24.4, project requires 1.24.6)
	sed -i 's/^go 1\.24\.[0-9]*/go 1.24/' dms-git-repo/core/go.mod

	# Build dms-cli from source
	@if [ -f dms-git-repo/.dms-version ]; then \
		. dms-git-repo/.dms-version; \
		echo "Building with VERSION=$$VERSION COMMIT=$$COMMIT"; \
		cd dms-git-repo/core && $(MAKE) GOFLAGS="-mod=vendor" dist ARCH=amd64 VERSION="$$VERSION" COMMIT="$$COMMIT"; \
	else \
		echo "Warning: .dms-version not found, building without version info"; \
		cd dms-git-repo/core && $(MAKE) GOFLAGS="-mod=vendor" dist ARCH=amd64; \
	fi
	cp dms-git-repo/core/bin/dms-linux-amd64 dms
	chmod +x dms

override_dh_auto_install:
	# Install binary
	install -Dm755 dms debian/dms-git/usr/bin/dms

	# Install QML files from git clone
	mkdir -p debian/dms-git/usr/share/quickshell/dms
	cp -r dms-git-repo/* debian/dms-git/usr/share/quickshell/dms/

	# Remove unnecessary directories
	rm -rf debian/dms-git/usr/share/quickshell/dms/core
	rm -rf debian/dms-git/usr/share/quickshell/dms/distro

	# Install systemd user service
	install -Dm644 dms-git-repo/assets/systemd/dms.service \
		debian/dms-git/usr/lib/systemd/user/dms.service

	# Install desktop file and icon
	install -Dm644 dms-git-repo/assets/dms-open.desktop \
		debian/dms-git/usr/share/applications/dms-open.desktop
	install -Dm644 dms-git-repo/assets/danklogo.svg \
		debian/dms-git/usr/share/icons/hicolor/scalable/apps/danklogo.svg

override_dh_auto_clean:
	# Don't delete dms-git-repo directory - it's part of the source package (native format)
	# Clean up build artifacts
	rm -f dms
	rm -rf dms-git-repo/core/bin
	rm -rf debian/tmp-home
	dh_auto_clean

=== xdg/quickshell/dms/distro/ubuntu/dms/debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

# Extract version from debian/changelog
DEB_VERSION := $(shell dpkg-parsechangelog -S Version)
# Get upstream version (strip -1ppa1 suffix)
UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed 's/-[^-]*$$//')
# Strip ppa suffix and handle git versions
# Examples: 0.5.2ppa9 -> 0.5.2, 0.5.2+git20251116 -> 0.5.2
BASE_VERSION := $(shell echo $(UPSTREAM_VERSION) | sed 's/ppa[0-9]*$$//' | sed 's/+git.*//')

%:
	dh $@

override_dh_auto_build:
	# All files are included in source package (downloaded by build-source.sh)
	# Launchpad build environment has no internet access
	test -f dms-distropkg-amd64.gz || (echo "ERROR: dms-distropkg-amd64.gz not found!" && exit 1)
	test -f dms-source.tar.gz || (echo "ERROR: dms-source.tar.gz not found!" && exit 1)

	# Extract pre-built binary
	gunzip -c dms-distropkg-amd64.gz > dms
	chmod +x dms

	# Extract source tarball for QML files
	tar -xzf dms-source.tar.gz
	# Find the extracted directory (it might have various names)
	# and create a symlink to expected name for consistent install
	SOURCE_DIR=$$(find . -maxdepth 1 -type d -name "DankMaterialShell*" | head -n1); \
	if [ -n "$$SOURCE_DIR" ]; then \
		ln -sf $$SOURCE_DIR DankMaterialShell-$(BASE_VERSION); \
	fi

override_dh_auto_install:
	# Install binary
	install -Dm755 dms debian/dms/usr/bin/dms

	# Install QML files from source tarball
	mkdir -p debian/dms/usr/share/quickshell/dms
	cp -r DankMaterialShell-$(BASE_VERSION)/* debian/dms/usr/share/quickshell/dms/

	# Remove unnecessary directories
	rm -rf debian/dms/usr/share/quickshell/dms/core
	rm -rf debian/dms/usr/share/quickshell/dms/distro

	# Install systemd user service
	install -Dm644 DankMaterialShell-$(BASE_VERSION)/assets/systemd/dms.service \
		debian/dms/usr/lib/systemd/user/dms.service

	# Install desktop file and icon
	install -Dm644 DankMaterialShell-$(BASE_VERSION)/assets/dms-open.desktop \
		debian/dms/usr/share/applications/dms-open.desktop
	install -Dm644 DankMaterialShell-$(BASE_VERSION)/assets/danklogo.svg \
		debian/dms/usr/share/icons/hicolor/scalable/apps/danklogo.svg

	# Generate and install shell completions (if applicable)
	# Uncomment if dms supports completion generation
	# ./dms completion bash > dms.bash
	# ./dms completion zsh > dms.zsh
	# install -Dm644 dms.bash debian/dms/usr/share/bash-completion/completions/dms
	# install -Dm644 dms.zsh debian/dms/usr/share/zsh/vendor-completions/_dms

override_dh_auto_clean:
	rm -f dms
	rm -rf DankMaterialShell-*
	# Don't remove dms-distropkg-amd64.gz and dms-source.tar.gz
	# They need to be included in the source package for Launchpad builds
	dh_auto_clean
